package com.pqs9000.pojo.report;

import com.pqs9000.pojo.report.enumReport.EnumPass;

import java.io.Serializable;
import java.util.List;

public class FpyDataByType implements Serializable {
    private static final long serialVersionUID = -1071056270808019733L;
    private EnumPass enumPass;
    private List<FpyRate> listA; //A相
    private List<FpyRate> listB; //B相
    private List<FpyRate> listC; //C相
    private List<FpyRate> listS; //总的合格率
    private List<FpyRate> listT; //没有三相的合格率
    private Integer fpy; //限值

    public FpyDataByType(EnumPass enumPass) {//初始化
        this.enumPass = enumPass;
        this.listA = null;
        this.listB = null;
        this.listC = null;
        this.listS = null;
        this.listT = null;
        this.fpy = EnumPass.FPYVALUE.getCode();
    }

    public Integer getFpy() {
        return fpy;
    }

    public void setFpy(Integer fpy) {
        this.fpy = fpy;
    }

    public EnumPass getEnumPass() {
        return enumPass;
    }

    public void setEnumPass(EnumPass enumPass) {
        this.enumPass = enumPass;
    }

    public List<FpyRate> getListA() {
        return listA;
    }

    public void setListA(List<FpyRate> listA) {
        this.listA = listA;
    }

    public List<FpyRate> getListB() {
        return listB;
    }

    public void setListB(List<FpyRate> listB) {
        this.listB = listB;
    }

    public List<FpyRate> getListC() {
        return listC;
    }

    public void setListC(List<FpyRate> listC) {
        this.listC = listC;
    }

    public List<FpyRate> getListS() {
        return listS;
    }

    public void setListS(List<FpyRate> listS) {
        this.listS = listS;
    }

    public List<FpyRate> getListT() {
        return listT;
    }

    public void setListT(List<FpyRate> listT) {
        this.listT = listT;
    }
}
